%  httpget2struct - convert httpget string to structure with input   
%  arguments. Take care of name completion; Supply default arguments; Cast   
%  parameters to correct type.   
%   
%  INPUT:   
%      event:   
%          matlabserver event   
%          Example string content of event:   
%                 'address=adres 44&street=straat&number=5';   
%      defopt:   
%          Structure with default parameters.   
%          deftop.NAME=VALUE implies that VALUE is default parameter value   
%          for NAME.   
%   
%  OUPUT:   
%      opt:   
%          structure with options.   
%   
%  NOTES:   
%      Current utility reads "simple" hhtp get strings, meaning that   
%      name/value pairs are read from input string. Values must be scalar   
%      and of type CHAR, LOGICAL, NUMERIC. LOGICAL values must be supplied   
%      as "0" or "1"   
   
   
% © Modelit 2006-2023   
% Matlab release: 2020b   
% Date: 2023/01/25 13:07:43   
